/**
 * Represents a unique label of automaton transitions.
 * Multiple transitions may share the same label.
 */
public class Label {
	private String name;
	private int id; // used for housekeeping
	
	public Label(String n, int i) {
		name = n; id = i;
	}
	
	public String toString() {
		return name;
	}
	
	// Standard setter/getter methods
	public int getId() {return id;}
	public String getName() {return name;}
	public void setId(int i) {id = i;}
	public void setName(String string) {name = string;}
}
